# diary


## Installation

```
go install git.nagee.dev/isthisnagee/diary@v0.0.1
```


## Configuration

### Valid locations for the config file


The config file can be passed to the `diary` command through a command line
arg. For example: `diary --config=~/.diary.toml`

When there is no config argument, `diary` looks for the config here:

- `$HOME/.config/diary/diary.toml`


### Configuration options


#### `db_path`

- Name: `db_path`
- Type: String
- Default: `~/.diary.sql`
- Description: The location of the sqlite database. If the file does not exist,
  it will be created.

```
db_path = "path/to/wherever/you/want/the/db/file"
```

